// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:equatable/equatable.dart';
import 'package:wyatt_architecture/wyatt_architecture.dart';
import 'package:wyatt_authentication_bloc/src/domain/entities/account.dart';

part 'authenticated_change_event.dart';
part 'deleted_event.dart';
part 'reauthenticated_event.dart';
part 'refreshed_event.dart';
part 'signed_in_event.dart';
part 'signed_in_from_cache_event.dart';
part 'signed_out_event.dart';
part 'signed_up_event.dart';
part 'unknown_authentication_event.dart';
part 'updated_event.dart';

/// {@template authentication_change_event}
/// Represents an event initiated by a change in
/// the user's authentication status.
/// {@endtemplate}
abstract class AuthenticationChangeEvent extends Equatable implements Entity {
  /// {@macro authentication_change_event}
  const AuthenticationChangeEvent();

  @override
  List<Object?> get props => [];

  @override
  bool get stringify => true;
}
