// Copyright (C) 2024 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

class FastlaneDeploySupplyParameters {
  const FastlaneDeploySupplyParameters({
    required this.track,
    required this.serviceAccountPath,
    required this.appBundlePath,
    required this.releaseStatus,
    required this.packageName,
    this.skipUploadMetadata = true,
    this.skipUploadImages = true,
    this.skipUploadScreenshots = true,
  });

  final String track;
  final String packageName;
  final String serviceAccountPath;
  final String appBundlePath;
  final String releaseStatus;
  final bool skipUploadMetadata;
  final bool skipUploadImages;
  final bool skipUploadScreenshots;

  List<String> toList() => [
        'track:$track',
        'json_key:$serviceAccountPath',
        'aab:$appBundlePath',
        'release_status:$releaseStatus',
        'package_name:$packageName',
        'skip_upload_metadata:$skipUploadMetadata',
        'skip_upload_images:$skipUploadImages',
        'skip_upload_screenshots:$skipUploadScreenshots',
      ];
}
