// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';
import 'package:wyatt_ui_kit/wyatt_ui_kit.dart';

class SkillCards extends StatelessWidget {
  const SkillCards({super.key});

  @override
  Widget build(BuildContext context) => Column(
        children: [
          Text(
            'Skill Cards',
            style: Theme.of(context).textTheme.titleMedium,
          ),
          const Gap(20),
          Row(
            crossAxisAlignment: CrossAxisAlignment.start,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              SkillCard(
                icons: [
                  Container(
                    padding: const EdgeInsets.all(15),
                    decoration: BoxDecoration(
                      shape: BoxShape.circle,
                      color: Colors.grey.withOpacity(0.1),
                    ),
                    child: GradientIcon(
                      icon: Icons.ac_unit_sharp,
                      gradientColors:
                          const MultiColor([Colors.red, Colors.orange]),
                    ),
                  ),
                ],
                bulletColors: const MultiColor([Colors.red, Colors.orange]),
                title: const TextWrapper('Lorem Ipsum'),
                description: const TextWrapper(
                    'Cupidatat reprehenderit aliqua eiusmod Lorem. '
                    'Qui ipsum id ea ea nulla labore aute ullamco aute '
                    'quis elit ut amet velit. Incididunt fugiat proident '
                    'proident deserunt tempor Lorem cillum qui do '
                    'ullamco Lorem magna ipsum. Ullamco cupidatat velit '),
                skills: const [
                  TextWrapper('Firebase'),
                  TextWrapper(
                    'Qui ipsum id ea ea nulla labore aute ullamco aute ',
                  ),
                ],
              ),
              const Gap(20),
              SkillCard(
                icons: [
                  Container(
                    padding: const EdgeInsets.all(15),
                    decoration: BoxDecoration(
                      shape: BoxShape.circle,
                      color: Colors.grey.withOpacity(0.1),
                    ),
                    child: GradientIcon(
                      icon: Icons.ac_unit_sharp,
                      gradientColors:
                          const MultiColor([Colors.blue, Colors.green]),
                    ),
                  ),
                ],
                bulletColors: const MultiColor([Colors.blue, Colors.green]),
                title: const TextWrapper('Lorem Ipsum'),
                description: const TextWrapper(
                    'Cupidatat reprehenderit aliqua eiusmod Lorem. '
                    'Qui ipsum id ea ea nulla labore aute ullamco aute '
                    'quis elit ut amet velit. Incididunt fugiat proident '
                    'proident deserunt tempor Lorem cillum qui do '
                    'ullamco Lorem magna ipsum. Ullamco cupidatat velit '),
                skills: const [
                  TextWrapper('Firebase'),
                  TextWrapper(
                    'Qui ipsum id ea ea nulla labore aute ullamco aute ',
                    gradientColors: MultiColor([
                      Colors.red,
                      Colors.orange,
                    ]),
                  ),
                  TextWrapper('Firebase'),
                  TextWrapper('Firebase'),
                  TextWrapper('Firebase'),
                  TextWrapper('Firebase'),
                  TextWrapper('Firebase'),
                ],
              ),
            ],
          ),
          const Gap(20),
        ],
      );
}
